#!/usr/bin/env bash
USE_GLOW=true
-if ! command -v glow &>/dev/null; then
+if ! command -v glow >/dev/null 2>/dev/null; then
printf "Glow not found, markdown rendering not available."
printf "Output will be raw markdown and might look weird."
printf "Install glow for easier reading & copy-paste."
printf '\e[1;36m ⤷ \e[1mThe recommended value is: \e[1;3m/run/user/$UID\e[1;0m\n'
fi
-if ! command -v jq &>/dev/null; then
+if ! command -v jq >/dev/null 2>/dev/null; then
printf "jq is needed to run this script, but it wasn't found. Please install it to be able to use this script."
exit
fi
# Function to expand environment variables in string
# https://stackoverflow.com/a/20316582/11110290
apply_shell_expansion() {
- declare data="$1"
- declare delimiter="__apply_shell_expansion_delimiter__"
- declare command="cat <<$delimiter"$'\n'"$data"$'\n'"$delimiter"
+ data="$1"
+ delimiter="__apply_shell_expansion_delimiter__"
+ command=$(printf "cat <<%s\n%s\n%s" "$delimiter" "$data" "$delimiter")
eval "$command"
}